kwindowinfo.h
// -*- c++ -*-
/*
* copyright : (C) 2001-2002 by Richard Moore
* License : This file is released under the terms of the LGPL, version 2.
* email : rich@kde.org
*/
#ifndef KWINDOWINFO_H
#define KWINDOWINFO_H
#include <qobject.h>
#include <qpixmap.h>
#include <qstring.h>
#include <kdelibs_export.h>
class KDEUI_EXPORT KWindowInfo : public QObject
{
Q_OBJECT
public:
KWindowInfo( QWidget *parent, const char *name=0 );
virtual ~KWindowInfo();
bool autoDelete() const { return autoDel; }
void setAutoDelete( bool enable ) { autoDel = enable; }
static void showMessage( QWidget *window, const QString &text, int timeout = -1 );
static void showMessage( QWidget *window, const QString &text,
const QPixmap &pix, int timeout = -1 );
public slots:
void message( const QString &text );
void message( const QString &text, const QPixmap &pix );
void message( const QString &text, int timeout );
void message( const QString &text, const QPixmap &pix, int timeout );
void permanent( const QString &text );
void permanent( const QString &text, const QPixmap &pix );
protected:
virtual void display( const QString &text, const QPixmap &pix );
protected slots:
virtual void save();
virtual void restore();
private:
QWidget *win;
QPixmap oldIcon;
QPixmap oldMiniIcon;
QString oldText;
bool autoDel;
/* @internal */
class Private *d;
};
#endif // KWINDOWINFO_H
KWindowInfo
Displays messages in the window icon and title.
Definition: kwindowinfo.h:41
KWindowInfo::autoDelete
bool autoDelete() const
Returns true iff the object should delete itself when it resets.
Definition: kwindowinfo.h:59
KWindowInfo::setAutoDelete
void setAutoDelete(bool enable)
Set to true if you want the object to delete itself when the message timeout occurs.
Definition: kwindowinfo.h:65

KDE Home | KDE Accessibility Home | Description of Access Keys